
// Toggle rate = 32768/(2*50) = 328Hz
#include "include/include.h"
#include "include/hardware.h"


void main(void)
{
  WDTCTL = WDTPW + WDTHOLD;                 // Stop WDT
  P6DIR |= 0x01;                            // P6.0 output
  CCTL0 = CCIE;                             // CCR0 interrupt enabled
  CCR0 = 50;
  TACTL = TASSEL_1 + MC_2;                  // ACLK, contmode
	
	eint();                                   // Enable the global interrupt
	LPM0;                                     // Enter LPM0
 //_BIS_SR(LPM0_bits + GIE);                // Or in one line
}

// Timer_A TACCR0 interrupt vector handler
interrupt (TIMERA0_VECTOR) TimerA_procedure(void){
	P6OUT ^= 0x01;                            // Toggle P6.0
  CCR0 += 50;                               // Add offset to CCR0
}
